<?php
session_start();
require_once('druk.php');

if(!isset($_FILES['plik']['name']))
  {
	$tab[0] = 'Nie wybrano pliku, proszę spróbować ponownie.';
	$tab[1] = wyswietl();
	$tab[2] = 'n';
	echo json_encode($tab);
  } else {
		$katalog = 'upload/'.$_SESSION['nazwa'].'/pliki/';
		$tab[1] = wyswietl();
		$tab[2] = 'n';
		$pobierz = true;
		$filename = $_FILES['plik']['name'];
		$allowedExts = array("exe", "html", 'css', "xhtml", "php", 'js', 'rar', 'jar', 'zip', '7z', 'tar', 
		'cab', 'ini', 'bzip2', 'arj', 'apk');
		$temp = explode(".", $_FILES["plik"]["name"]);
		$extension = end($temp);
		if (in_array($extension, $allowedExts)) {
			$tab[0] = 'Niedozwolony format pliku';
			$pobierz = false;
		}
		
		if (file_exists($katalog.$filename)) {
			$tab[0] = 'Plik już istnieje';
			$pobierz = false;
		}
		 if ($pobierz) { 
			move_uploaded_file($_FILES['plik']['tmp_name'], $katalog.$filename);
			require_once('../wiras_php/wa_baza/wa_polacz.php');
			$id = $_SESSION['id'];
			$zap = "INSERT INTO strona_pliki (id_user, plik_nazwa, plik_opis, data, liczba_pobran)
						VALUES ($id, '$filename', 'Opis pliku', NOW(), 0)";
			$wynik = mysqli_query($db, $zap);
			$tab[0] = 'Plik został wysłany na sewer';
			$tab[1] = wyswietl();
			
			$dir = $_SESSION['strona'].'pliki/upload/'.$_SESSION['nazwa'].'/pliki/';
			$zap = 'SELECT * FROM strona_pliki WHERE id_user='.$id;
			$pobierz = mysqli_query($db, $zap);
			$dane = array();
			while ($wiersz = mysqli_fetch_row($pobierz)) 
			{
				$dane[] = $wiersz;
			}
			$lp = count($dane);
			if ($lp>0) {
				$tup = '<div style="width: 720px; margin: 5px auto; height: 0; border: 1px dotted #F00; clear: both;"></div>';
				$tup = $tup.'<div id="strona_upload_tlo">';
				$tup = $tup.'<h1 id="h3_tytul">Pliki do pobrania</h1>';
				$styl = '<span style="color: #08F; font-weight: bold;">';
				for ($i=0; $i<$lp; $i++) {
					$tup = $tup.'<div id="strona_upload_plik">';
					$tup = $tup.'<div id="strona_upload_sekcja1">';
					$tup = $tup.$styl.'Nazwa pliku</span><br />';
					$tup = $tup.$dane[$i][2];
					$tup = $tup.'</div>';
					$tup = $tup.'<div id="strona_upload_sekcja2">';
					$tup = $tup.$styl.'Data dodania</span><br />';
					$tup = $tup.$dane[$i][4];
					$tup = $tup.'</div>';
					$tup = $tup.'<div id="strona_upload_sekcja3">';
					$tup = $tup.$styl.'Link do pobrania</span><br />';
					$tup = $tup.'<a id="strona_link" href="'.$dir.$dane[$i][2].'" target="_blank">Pobierz</a>';
					$tup = $tup.'</div>';
					$tup = $tup.'<div id="strona_upload_sekcja4">';
					$tup = $tup.$styl.'Liczba pobrań</span><br />';
					$tup = $tup.$dane[$i][5];
					$tup = $tup.'</div>';
					$tup = $tup.'</div>';
				}
				$tup = $tup.'</div>';
			} else $tup='';
			$tab[2] = $tup;
			$tab[3] = $lp;
		 }
		echo json_encode($tab);
		unset($tab);
		unset($tup);
		unset($dane);
		unset($pobierz);
  }

?>